org.eclipse.net4j.util.io

## Interface ExtendedDataOutput

- All Superinterfaces:
    DataOutput
  All Known Implementing Classes:
    DataOutputExtender, ExtendedDataOutput.Delegating, ExtendedDataOutputStream

      public interface ExtendedDataOutput
      extends DataOutput

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ExtendedDataOutput.Delegating`
    `static class` | `ExtendedDataOutput.Stream`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeByteArray(byte[] b)`
    `void` | `writeEnum(Enum<?> literal)`
    `void` | `writeException(Throwable t)`
    `void` | `writeObject(Object object)`
    `void` | `writeString(String str)`

    - ### Methods inherited from interface java.io.DataOutput

      `write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

- - ### Method Detail

    - #### writeByteArray

          void writeByteArray(byte[] b)
                       throws IOException

      Throws:
        `IOException`

    - #### writeObject

          void writeObject(Object object)
                    throws IOException

      Throws:
        `IOException`

    - #### writeString

          void writeString(String str)
                    throws IOException

      Throws:
        `IOException`

    - #### writeEnum

          void writeEnum(Enum<?> literal)
                  throws IOException

      Throws:
        `IOException`
      Since:
        3.0

    - #### writeException

          void writeException(Throwable t)
                       throws IOException

      Throws:
        `IOException`
      Since:
        3.4

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html